Bug 1224109 - [Backup]: Unable to create a glusterfind session
Summary: [Backup]: Unable to create a glusterfind session
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfind
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: RHGS 3.1.0
Assignee: Milind Changire
QA Contact: Sweta Anandpara
URL:
Whiteboard:
Depends On: 1225552
Blocks: qe_tracker_everglades 1202842
TreeView+ depends on / blocked
 
Reported: 2015-05-22 08:34 UTC by Sweta Anandpara
Modified: 2016-09-17 15:20 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.7.1-1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1221544
Environment:
Last Closed: 2015-07-29 04:46:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1495 0 normal SHIPPED_LIVE Important: Red Hat Gluster Storage 3.1 update 2015-07-29 08:26:26 UTC

Description Sweta Anandpara 2015-05-22 08:34:07 UTC
+++ This bug was initially created as a clone of Bug #1221544 +++

Description of problem:
Passwordless ssh is not getting setup between the peers of a cluster

Version-Release number of selected component (if applicable):
glusterfs-3.7.0beta2-0.0.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Have a 2 node cluster
2. Create a 2*2 distribute replicate volume 'ozone', and start it
3. Create a glusterfind session using 'glusterfind create'

Actual results:
It fails with the error - Failed to copy public key to /var/lib/glusterd/glusterfind/.keys

Expected results:
Glusterfind session should get successfully created

Additional info:

[root@dhcp43-140 ~]# glusterfind create sess1 ozone
Failed to copy public key to /var/lib/glusterd/glusterfind/.keys: [Errno 2] No such file or directory: '/var/lib/glusterd/glusterfind/.keys/sess1_ozone_secret.pem.pub'
[root@dhcp43-140 ~]# 
[root@dhcp43-140 ~]# cd /var/log/glusterfs/glusterfind/
[root@dhcp43-140 glusterfind]#
[root@dhcp43-140 glusterfind]# cat sess1/ozone/cli.log 
[2015-05-14 20:16:41,990] INFO [main - 266:ssh_setup] - Ssh key generated /var/lib/glusterd/glusterfind/sess1/ozone/sess1_ozone_secret.pem
[2015-05-14 20:16:41,993] ERROR [utils - 152:fail] - Failed to copy public key to /var/lib/glusterd/glusterfind/.keys: [Errno 2] No such file or directory: '/var/lib/glusterd/glusterfind/.keys/sess1_ozone_secret.pem.pub'
[2015-05-14 20:18:40,827] INFO [main - 266:ssh_setup] - Ssh key generated /var/lib/glusterd/glusterfind/sess1/ozone/sess1_ozone_secret.pem
[2015-05-14 20:18:40,829] ERROR [utils - 152:fail] - Failed to copy public key to /var/lib/glusterd/glusterfind/.keys: [Errno 2] No such file or directory: '/var/lib/glusterd/glusterfind/.keys/sess1_ozone_secret.pem.pub'

[root@dhcp43-140 glusterfind]# rpm -qa | grep gluster
glusterfs-api-3.7.0beta2-0.0.el6.x86_64
python-gluster-3.7.0beta2-0.0.el6.x86_64
glusterfs-libs-3.7.0beta2-0.0.el6.x86_64
glusterfs-3.7.0beta2-0.0.el6.x86_64
glusterfs-fuse-3.7.0beta2-0.0.el6.x86_64
glusterfs-server-3.7.0beta2-0.0.el6.x86_64
glusterfs-extra-xlators-3.7.0beta2-0.0.el6.x86_64
glusterfs-client-xlators-3.7.0beta2-0.0.el6.x86_64
glusterfs-cli-3.7.0beta2-0.0.el6.x86_64
[root@dhcp43-140 glusterfind]#

--- Additional comment from Sweta Anandpara on 2015-05-15 01:40:20 EDT ---

Sosreports copied to: http://rhsqe-repo.lab.eng.blr.redhat.com/sosreports/1221544/

--- Additional comment from Sweta Anandpara on 2015-05-18 02:36:06 EDT ---

On the latest build - glusterfs-3.7.0-2.el6rhs.x86_64, the same command fails with the below error:

[root@dhcp43-140 ~]# glusterfind create sess vol1
Failed to add ssh keys to authorized_keys file: gsync peer_add_secret_pub command not found.

[root@dhcp43-140 ~]#

--- Additional comment from Anand Avati on 2015-05-18 10:16:33 EDT ---

REVIEW: http://review.gluster.org/10807 (spec: Add missing file peer_add_secret_pub to the server RPM to support glusterfind independent of the geo-replication RPM) posted (#1) for review on master by Milind Changire (mchangir@redhat.com)

--- Additional comment from Anand Avati on 2015-05-19 05:43:56 EDT ---

REVIEW: http://review.gluster.org/10807 (spec: move file peer_add_secret_pub to server RPM) posted (#2) for review on master by Milind Changire (mchangir@redhat.com)

Comment 5 Sweta Anandpara 2015-06-25 05:49:15 UTC
Created two 2node clusters for the build 3.7.1-3 and one 4node cluster with the build 3.7.1-4. 

Have not been prompted for ssh password of the peer nodes while creating a glusterfind session. 

Logs of the functionality testing in and around this bug have been uploaded here: https://polarion.engineering.redhat.com/polarion/testrun-attachment/RHG3/glusterfs-3_7_1_3_RHEL6_7_FUSE/RHG3-5400_Logs_6.7_3.7.1-3_output_file_validation.odt

Moving this bug to verified in 3.1 Everglades.

Comment 6 errata-xmlrpc 2015-07-29 04:46:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html


Note You need to log in before you can comment on or make changes to this bug.